import type { AnnotationHandlerInterface } from '../../glic.mojom-webui.js';
import type { ScrollToParams } from '../../glic_api/glic_api.js';
import type { MessageHandlerInterface } from '../transport/messaging.js';
import type { AnnotationHost } from './annotation_types.js';
export declare class AnnotationHostMessageHandler implements MessageHandlerInterface<AnnotationHost> {
    private annotationHandler;
    constructor(annotationHandler: AnnotationHandlerInterface);
    scrollTo(request: {
        params: ScrollToParams;
    }): Promise<void>;
    dropScrollToHighlight(): void;
}
